package net.carbon.model.po;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 碳排放-城市高质量发展指标体系-标签表
 * </p>
 *
 * @author jieyuu
 * @since 2025-02-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("label")
public class LabelDO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 指标名称
     */
    @TableField("name")
    private String name;

    /**
     * 单位
     */
    @TableField("unit")
    private String unit;

    /**
     * 数据值
     */
    @TableField("data_value")
    private BigDecimal dataValue;

    /**
     * 指数属性
     */
    @TableField("attribute")
    private String attribute;

    /**
     * 是否剔除（0-是系统数据不能删除，1-不是系统数据，可以删除）
     */
    @TableField("is_system_date")
    private Integer isSystemDate;

    /**
     * 逻辑删除标记
     */
    @TableField("is_delete")
    @TableLogic(value = "0", delval = "1")
    private Integer isDeleted;
}
