package net.carbon.model.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jieyuu
 * @since 2024-11-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user")
public class UserDO implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("username")
    private String username;

    @TableField("password")
    private String password;

    /**
     * 用户照片
     */
    @TableField("avatar")
    private String avatar;

    /**
     * 用户角色，1代表管理员，2代表普通用户
     */
    @TableField("role")
    private Integer role;

    /**
     * 描述
     */
    @TableField("description")
    private String description;

    /**
     * 用户的名字
     */
    @TableField("name")
    private String name;

    /**
     * 用户的电话号码
     */
    @TableField("phone")
    private String phone;

    /**
     * 用户地址
     */
    @TableField("address")
    private String address;

    /**
     * 用户创建时间
     */
    @TableField("creationTime")
    private LocalDateTime creationTime;

    /**
     * 用户更新时间
     */
    @TableField("updateTime")
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标记
     */
    @TableField("is_delete")
    @TableLogic(value = "0", delval = "1")
    private Byte isDelete;
}
